Bug 1047054 - (CVE-2017-10799) VUL-1: CVE-2017-10799: GraphicsMagick,ImageMagick: denial of service (OOM) can occur inReadDPXImage().
(CVE-2017-10799)
VUL-1: CVE-2017-10799: GraphicsMagick,ImageMagick: denial of service (OOM) ca...
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P4 - Low : Normal
: ---
Assigned To: Security Team bot
Security Team bot
https://smash.suse.de/issue/187733/
CVSSv2:SUSE:CVE-2017-10799:4.3:(AV:N/...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-03 12:35 UTC by Marcus Meissner
Modified: 2020-10-27 15:25 UTC (History)
2 users (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Marcus Meissner 2017-07-03 12:35:57 UTC
CVE-2017-10799

When GraphicsMagick 1.3.25 processes a DPX image (with metadata indicating a
large width) in coders/dpx.c, a denial of service (OOM) can occur in
ReadDPXImage().

References:
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2017-10799
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-10799
http://hg.code.sf.net/p/graphicsmagick/code/rev/f10b9bb3ca62
Comment 1 Bernhard Wiedemann 2017-07-21 10:01:16 UTC
This is an autogenerated message for OBS integration:
This bug (1047054) was mentioned in
https://build.opensuse.org/request/show/511779 Factory / GraphicsMagick
Comment 2 Petr Gajdos 2017-12-06 09:51:00 UTC
I believe all fixed.
Comment 4 Bernhard Wiedemann 2017-12-06 11:50:05 UTC
This is an autogenerated message for OBS integration:
This bug (1047054) was mentioned in
https://build.opensuse.org/request/show/554772 42.3 / GraphicsMagick
https://build.opensuse.org/request/show/554773 42.2 / GraphicsMagick
Comment 5 Swamp Workflow Management 2017-12-12 17:09:55 UTC
openSUSE-SU-2017:3270-1: An update that fixes 6 vulnerabilities is now available.

Category: security (important)
Bug References: 1047054,1051847,1052758,1052764,1060577,1061587
CVE References: CVE-2017-10799,CVE-2017-12140,CVE-2017-12644,CVE-2017-12662,CVE-2017-14733,CVE-2017-14994
Sources used:
openSUSE Leap 42.3 (src):    GraphicsMagick-1.3.25-47.1
openSUSE Leap 42.2 (src):    GraphicsMagick-1.3.25-11.48.1
Comment 6 Swamp Workflow Management 2018-01-24 20:11:49 UTC
SUSE-SU-2018:0197-1: An update that fixes 23 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1047044,1047054,1048457,1049373,1050129,1051412,1051847,1052252,1052460,1052758,1052764,1052771,1055063,1056550,1057723,1058082,1058422,1060577,1061587,1063050,1067177,1074969,1074975
CVE References: CVE-2017-10799,CVE-2017-10800,CVE-2017-11188,CVE-2017-11449,CVE-2017-11532,CVE-2017-12140,CVE-2017-12430,CVE-2017-12563,CVE-2017-12642,CVE-2017-12644,CVE-2017-12662,CVE-2017-12691,CVE-2017-13061,CVE-2017-14042,CVE-2017-14174,CVE-2017-14249,CVE-2017-14343,CVE-2017-14733,CVE-2017-14994,CVE-2017-15277,CVE-2017-16547,CVE-2017-18022,CVE-2018-5247
Sources used:
SUSE Studio Onsite 1.3 (src):    GraphicsMagick-1.2.5-4.78.28.2
SUSE Linux Enterprise Software Development Kit 11-SP4 (src):    GraphicsMagick-1.2.5-4.78.28.2
SUSE Linux Enterprise Debuginfo 11-SP4 (src):    GraphicsMagick-1.2.5-4.78.28.2
Comment 7 Marcus Meissner 2018-02-09 13:47:05 UTC
released
Comment 12 Swamp Workflow Management 2020-09-25 13:13:41 UTC
SUSE-SU-2020:2750-1: An update that fixes one vulnerability is now available.

Category: security (moderate)
Bug References: 1047054
CVE References: CVE-2017-11527
JIRA References: 
Sources used:
SUSE Linux Enterprise Workstation Extension 12-SP5 (src):    ImageMagick-6.8.8.1-71.144.8
SUSE Linux Enterprise Software Development Kit 12-SP5 (src):    ImageMagick-6.8.8.1-71.144.8
SUSE Linux Enterprise Server 12-SP5 (src):    ImageMagick-6.8.8.1-71.144.8

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 13 Alexandros Toptsoglou 2020-10-27 15:25:52 UTC
DONE